# all files / ol/format/filter/ comparisonbinary.js

100% Statements 8/8
100% Branches 0/0
100% Functions 1/1
100% Lines 8/8

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    37
    381×

    1×
    1×

    1×

    11×

    11×

    11×

    1×
     goog.provide('ol.format.filter.ComparisonBinary');

    goog.require('ol');
    goog.require('ol.format.filter.Comparison');

    /**
     * @classdesc
     * Abstract class; normally only used for creating subclasses and not instantiated in apps.
     * Base class for WFS GetFeature property binary comparison filters.
     *
     * @constructor
     * @param {!string} tagName The XML tag name for this filter.
     * @param {!string} propertyName Name of the context property to compare.
     * @param {!(string|number)} expression The value to compare.
     * @param {boolean=} opt_matchCase Case-sensitive?
     * @extends {ol.format.filter.Comparison}
     * @api
     */
    ol.format.filter.ComparisonBinary = function(
        tagName, propertyName, expression, opt_matchCase) {

      ol.format.filter.Comparison.call(this, tagName, propertyName);

      /**
       * @public
       * @type {!(string|number)}
       */
      this.expression = expression;

      /**
       * @public
       * @type {boolean|undefined}
       */
      this.matchCase = opt_matchCase;
    };
    ol.inherits(ol.format.filter.ComparisonBinary, ol.format.filter.Comparison);